Delete an empty team (admin)
DELETE
/teams/{id}
const url = 'https://api.muninx.com/teams/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.muninx.com/teams/example \ --header 'Authorization: Bearer <token>'Deletion is allowed only when no memberships reference the team. Deleting an already absent team also succeeds.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Team deleted or already absent
Invalid tenant or team ID
Missing or invalid bearer token
Role is not permitted
Team has members
Unable to check members or delete team